HostingDomains
Generate DKIM record
POST
/api/domains/{domain_code}/dkimGenerates or returns the DKIM selector and DNS TXT record for the domain.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
domain_code*string
Domain code: D followed by 9 digits. Example: D123456789.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/domains/string/dkim" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json"{
"resources": [
{
"selector": "string",
"txt_record": "string"
}
],
"pagination": {}
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}